VkMemoryBarrier Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkAccessFlags | srcAccessMask
VkAccessFlags | dstAccessMask

## Detailed Description

Definition at line 2776 of file vulkan_core.h.

## Field Documentation

## dstAccessMask

VkAccessFlags VkMemoryBarrier::dstAccessMask

Definition at line 2780 of file vulkan_core.h.

## pNext

const void* VkMemoryBarrier::pNext

Definition at line 2778 of file vulkan_core.h.

## srcAccessMask

VkAccessFlags VkMemoryBarrier::srcAccessMask

Definition at line 2779 of file vulkan_core.h.

## sType

VkStructureType VkMemoryBarrier::sType

Definition at line 2777 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h